import 'package:freezed_annotation/freezed_annotation.dart';

part 'kill_house_distribution_info.freezed.dart';
part 'kill_house_distribution_info.g.dart';

@freezed
abstract class KillHouseDistributionInfo with _$KillHouseDistributionInfo {
  const factory KillHouseDistributionInfo({
    double? stewardAllocationsWeight,
    double? freeSalesWeight,
  }) = _KillHouseDistributionInfo;

  factory KillHouseDistributionInfo.fromJson(Map<String, dynamic> json) =>
      _$KillHouseDistributionInfoFromJson(json);
}
